<?php

/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package alipes
 */

get_header();
?>

<main id="primary" class="site-main">

    <!--Error Page Start-->
    <section class="error-page">
        <?php if (!empty(get_theme_mod('error_bg_image'))) : ?>
            <div class="error-page-shape-one float-bob-x">
                <img src="<?php echo esc_url(get_theme_mod('error_bg_image')); ?>" alt="<?php esc_attr_e('Sorry, We Can\'t Find that Page!', 'alipes'); ?>">
            </div>
        <?php endif; ?>
        <div class="container">
            <div class="row">
                <div class="col-xl-12">
                    <div class="error-page__inner">
                        <div class="error-page__title-box">
                            <h2 class="error-page__title"><?php echo esc_html_e('404', 'alipes'); ?></h2>
                        </div>
                        <h3 class="error-page__tagline"><?php esc_html_e('Sorry, We Can\'t Find that Page!', 'alipes'); ?></h3>
                        <p class="error-page__text"><?php echo esc_html_e('The page you are looking for was moved, removed, renamed or
                            never existed.', 'alipes'); ?></p>
                        <form class="error-page__form" method="get" action="<?php echo esc_url(home_url()); ?>">
                            <div class="error-page__form-input">
                                <input type="search" name="s" placeholder="<?php echo esc_attr('Search here', 'alipes'); ?>">
                                <button type="submit"><i class="icon-magnifying-glass"></i></button>
                            </div>
                        </form>
                        <div class="error-page__btn-box">
                            <a href="<?php echo esc_url(home_url('/')); ?>" class="thm-btn error-page__btn"><?php esc_html_e('Back to Home', 'alipes'); ?></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--Error Page End-->

</main><!-- #main -->

<?php
get_footer();
