<?php

/**
 * Template part for displaying footer
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package alipes
 */
?>


<?php
$alipes_page_id     = get_queried_object_id();
$alipes_custom_footer_status = !empty(get_post_meta($alipes_page_id, 'alipes_custom_footer_status', true)) ? get_post_meta($alipes_page_id, 'alipes_custom_footer_status', true) : 'off';

$alipes_custom_footer_id = '';
if ((is_page() && 'on' === $alipes_custom_footer_status) || (is_singular('portfolio') && 'on' === $alipes_custom_footer_status) || (is_singular('service') && 'on' === $alipes_custom_footer_status) || (is_singular('team') && 'on' === $alipes_custom_footer_status)) {
    $alipes_custom_footer_id = get_post_meta($alipes_page_id, 'alipes_select_custom_footer', true);
} elseif ('yes' == get_theme_mod('footer_custom')) {
    $alipes_custom_footer_id = get_theme_mod('footer_custom_post');
} else {
    $alipes_custom_footer_id = 'default_footer';
}

$alipes_dynamic_footer = isset($_GET['custom_footer_id']) ? $_GET['custom_footer_id'] : $alipes_custom_footer_id;
?>


<?php if ('default_footer' == $alipes_dynamic_footer) : ?>
    <footer class="site-footer default-footer">
        <div class="container">
            <div class="site-footer__inner">
                <div class="site-footer__bottom">
                    <div class="footer-one__bottom-inner-default text-center">
                        <div class="footer-one__bottom-text">
                            <p class="site-footer__bottom-text"><?php echo wp_kses(get_theme_mod('footer_copytext', esc_html__('&copy; All Copyright 2023 by Alipes', 'alipes')), 'alipes_allowed_tags'); ?></a>
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </footer>
<?php else : ?>
    <?php echo do_shortcode('[alipes-footer id="' . $alipes_dynamic_footer . '"]');
    ?>
<?php endif; ?>